]> git.pld-linux.org Git - packages/texlive.git/blame - texlive-clisp.patch
- fixed -luatex internal deps; release 31
[packages/texlive.git] / texlive-clisp.patch
CommitLineData
eb021590
MK
1diff -ur texlive-20080816-source.orig/utils/xindy/configure texlive-20080816-source/utils/xindy/configure
2--- texlive-20080816-source.orig/utils/xindy/configure 2008-05-18 06:07:54.000000000 +0000
3+++ texlive-20080816-source/utils/xindy/configure 2014-07-30 18:17:31.444000000 +0000
4@@ -3961,11 +3961,11 @@
5 CLISP_LIB=`$CLISP -q -norc -x '(progn (princ *lib-directory*) (values))'`
6 { echo "$as_me:$LINENO: result: $CLISP_LIB" >&5
7 echo "${ECHO_T}$CLISP_LIB" >&6; }
8- test -f "$CLISP_LIB/clisp-link" || { { echo "$as_me:$LINENO: error: clisp is not usable: expected file is not found: $CLISP_LIB/clisp-link" >&5
9-echo "$as_me: error: clisp is not usable: expected file is not found: $CLISP_LIB/clisp-link" >&2;}
10+ test -f "/usr/bin/clisp-link" || { { echo "$as_me:$LINENO: error: clisp is not usable: expected file is not found: /usr/bin/clisp-link" >&5
11+echo "$as_me: error: clisp is not usable: expected file is not found: /usr/bin/clisp-link" >&2;}
12 { (exit 1); exit 1; }; }
13- test -d "$CLISP_LIB/full" || { { echo "$as_me:$LINENO: error: clisp is not usable: expected directory is not found: $CLISP_LIB/full" >&5
14-echo "$as_me: error: clisp is not usable: expected directory is not found: $CLISP_LIB/full" >&2;}
15+ test -d "$CLISP_LIB/base" || { { echo "$as_me:$LINENO: error: clisp is not usable: expected directory is not found: $CLISP_LIB/base" >&5
16+echo "$as_me: error: clisp is not usable: expected directory is not found: $CLISP_LIB/base" >&2;}
17 { (exit 1); exit 1; }; }
18 test -d "$CLISP_LIB/linkkit" || { { echo "$as_me:$LINENO: error: clisp is not usable: expected directory is not found: $CLISP_LIB/linkkit" >&5
19 echo "$as_me: error: clisp is not usable: expected directory is not found: $CLISP_LIB/linkkit" >&2;}
20diff -ur texlive-20080816-source.orig/utils/xindy/configure.ac texlive-20080816-source/utils/xindy/configure.ac
21--- texlive-20080816-source.orig/utils/xindy/configure.ac 2008-05-18 06:07:54.000000000 +0000
22+++ texlive-20080816-source/utils/xindy/configure.ac 2014-07-30 18:16:55.832000000 +0000
23@@ -85,8 +85,8 @@
24 AC_MSG_CHECKING([for clisp library directory])
25 CLISP_LIB=`$CLISP -q -norc -x '(progn (princ *lib-directory*) (values))'`
26 AC_MSG_RESULT([$CLISP_LIB])
27- test -f "$CLISP_LIB/clisp-link" || AC_MSG_ERROR([clisp is not usable: expected file is not found: $CLISP_LIB/clisp-link])
28- test -d "$CLISP_LIB/full" || AC_MSG_ERROR([clisp is not usable: expected directory is not found: $CLISP_LIB/full])
29+ test -f "/usr/bin/clisp-link" || AC_MSG_ERROR([clisp is not usable: expected file is not found: $CLISP_LIB/clisp-link])
30+ test -d "$CLISP_LIB/base" || AC_MSG_ERROR([clisp is not usable: expected directory is not found: $CLISP_LIB/full])
31 test -d "$CLISP_LIB/linkkit" || AC_MSG_ERROR([clisp is not usable: expected directory is not found: $CLISP_LIB/linkkit])
32 else
33 AC_MSG_ERROR([clisp is required but not found in PATH.
34diff -ur texlive-20080816-source.orig/utils/xindy/rte/Makefile.am texlive-20080816-source/utils/xindy/rte/Makefile.am
35--- texlive-20080816-source.orig/utils/xindy/rte/Makefile.am 2008-05-16 07:58:07.000000000 +0000
36+++ texlive-20080816-source/utils/xindy/rte/Makefile.am 2014-07-31 15:54:58.139000000 +0000
37@@ -33,8 +33,8 @@
38 rm -rf xindy-build-dir
39 test -f ordrules/link.sh || for i in $(ORDRULES_FILES); do cp -p $(top_srcdir)/rte/ordrules/$$i ordrules/$$i; done
40 $(MAKE) -C ordrules ordrulei.c
41- env CLISP_LINKKIT='@CLISP_LIB@/linkkit' MAKE="$(MAKE)" \
42- sh '@CLISP_LIB@/clisp-link' add-module-set ordrules '@CLISP_LIB@/full' xindy-build-dir
43+ env CLISP_LINKKIT='@CLISP_LIB@/linkkit' MAKE="$(MAKE)" with_dynamic_modules=no \
44+ sh '/usr/bin/clisp-link' add '@CLISP_LIB@/base' xindy-build-dir ordrules
45 cp xindy-build-dir/$(LISP_RUN) $(binariesdir)/$(XINDY_RUN)
46 cp xindy-build-dir/lispinit.mem $(binariesdir)/base.mem
47
48diff -ur texlive-20080816-source.orig/utils/xindy/rte/Makefile.in texlive-20080816-source/utils/xindy/rte/Makefile.in
49--- texlive-20080816-source.orig/utils/xindy/rte/Makefile.in 2008-05-16 07:58:07.000000000 +0000
50+++ texlive-20080816-source/utils/xindy/rte/Makefile.in 2014-07-31 15:54:45.434000000 +0000
51@@ -473,8 +473,8 @@
52 rm -rf xindy-build-dir
53 test -f ordrules/link.sh || for i in $(ORDRULES_FILES); do cp -p $(top_srcdir)/rte/ordrules/$$i ordrules/$$i; done
54 $(MAKE) -C ordrules ordrulei.c
55- env CLISP_LINKKIT='@CLISP_LIB@/linkkit' MAKE="$(MAKE)" \
56- sh '@CLISP_LIB@/clisp-link' add-module-set ordrules '@CLISP_LIB@/full' xindy-build-dir
57+ env CLISP_LINKKIT='@CLISP_LIB@/linkkit' MAKE="$(MAKE)" with_dynamic_modules=no \
58+ sh '/usr/bin/clisp-link' add '@CLISP_LIB@/base' xindy-build-dir ordrules
59 cp xindy-build-dir/$(LISP_RUN) $(binariesdir)/$(XINDY_RUN)
60 cp xindy-build-dir/lispinit.mem $(binariesdir)/base.mem
61
This page took 0.03458 seconds and 4 git commands to generate.